Package com.collabnet.ce.soap60.webservices.filestorage

# Interface IFileStorageAppSoap

All Known Implementing Classes:
  `FileStorageAppSoap`, `FileStorageAppSoapMockStub`, `FileStorageAppSoapStub`

public interface IFileStorageAppSoap

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.activation.DataHandler`
  `downloadFile(String sessionId, String fileStorageId)`
  Downloads file as SOAP attachment.
  `javax.activation.DataHandler`
  `downloadFileDirect(String sessionId, String containerId, String rawFileId)`
  Downloads file Direct as SOAP attachment.
  `String`
  `uploadFile(String sessionId, javax.activation.DataHandler file)`
  Uploads a file as SOAP attachment.

- ## Method Details

  - ### uploadFile

    String uploadFile(String sessionId, javax.activation.DataHandler file) throws RemoteException
    Uploads a file as SOAP attachment.
    Parameters:
      `sessionId` - User session id.
      `file` - SOAP file attachment.
    Returns:
      File object id.
    Throws:
      `InvalidSessionFault` - when session is invalid (or not active).
      `SystemFault` - when a system level error occurs.
      `RemoteException`
    Since:
      4.1

  - ### downloadFile

    javax.activation.DataHandler downloadFile(String sessionId, String fileStorageId) throws RemoteException
    Downloads file as SOAP attachment.
    Parameters:
      `sessionId` - User session id.
      `fileStorageId` - Id of temporary file storage returned by DocmentApp.getDocumentFileId or FrsApp.getFrsFileId
    Returns:
      File as SOAP attachment.
    Throws:
      `InvalidSessionFault` - when session is invalid (or not active).
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when a system level error occurs.
      `IllegalArgumentFault` - when the specified fileStorageId is invalid.
      `RemoteException`
    Since:
      4.1

  - ### downloadFileDirect

    javax.activation.DataHandler downloadFileDirect(String sessionId, String containerId, String rawFileId) throws RemoteException
    Downloads file Direct as SOAP attachment.
    Parameters:
      `sessionId` - User session id.
      `containerId` - The Folder which houses the attachment
      `rawFileId` - FileId to be downloaded
    Returns:
      File as SOAP attachment.
    Throws:
      `InvalidSessionFault` - when session is invalid (or not active).
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when a system level error occurs.
      `RemoteException`
    Since:
      4.4SP1